[SCM] libdvdnav/master: sync code with upstream branch

siretart at users.alioth.debian.org siretart at users.alioth.debian.org
Sat Aug 16 13:26:38 UTC 2014


The following commit has been merged in the master branch:
commit d4fdc15d2c9ac9cd2c8a609f92c4eec53be53bb6
Author: Reinhard Tartler <siretart at tauware.de>
Date:   Fri Aug 15 23:00:24 2014 -0400

    sync code with upstream branch

diff --git a/AUTHORS b/AUTHORS
index cb528af..9c1da8a 100644
--- a/AUTHORS
+++ b/AUTHORS
@@ -4,3 +4,4 @@ Rich Wareham <richwareham at users.sourceforge.net>
 Kees Cook <kees at outflux.net>
 Michael Roitzsch <mroi at users.sourceforge.net>
 Frantisek Dvorak <valtri at users.sourceforge.net>
+Diego Elio Pettenò <flameeyes at flameeyes.eu>
diff --git a/NEWS b/NEWS
deleted file mode 100644
index 7aa22b1..0000000
--- a/NEWS
+++ /dev/null
@@ -1,2 +0,0 @@
-This file is unused.
-The ChangeLog file lists changes for new versions.
diff --git a/README b/README
index de3422c..df509cd 100644
--- a/README
+++ b/README
@@ -14,7 +14,7 @@ encapsulated.
 Where does it come from?
 ------------------------
 
-This library is based on a lot of code and expertise from the Ogle project.
+This library was based on a lot of code and expertise from the Ogle project.
 Ogle was the first DVD player who implemented free DVD navigation. The
 libdvdnav developers wish to express their gratitude to the Ogle people
 for all the valuable research work they have done.
@@ -23,18 +23,17 @@ Initially, the dvdnav code was part of a plugin to the xine media player
 called xine-dvdnav. Later on, the DVD VM specific code was split
 from xine-dvdnav and went into the first version of libdvdnav.
 
-Where is it now?
-----------------
+Then, it was forked, and forked again on MPlayer repositories.
+libdvdnav and libdvdread were merged, and then split again.
 
-libdvdnav is hosted at http://dvdnav.mplayerhq.hu/ .
-Please report bugs to the developers mailinglist at
-mailto:dvdnav-discuss at mplayerhq.hu .
+This is now a new fork libdvdnav, that was created to overcome the lack of
+responsiveness of the official development channel (once again).
 
-We are still in beta stage, but libdvdnav is already quite usable. With
-regular DVD playback, there should not be any serious issues. The library
-also makes some limited effort to handle error situations gracefully, but
-there are still assertions in the code that may trigger on some DVDs. Please
-send a report to the developer mailinglist, if you encounter such problems.
+This new fork will try to simplify, stabilize, fix the security issues and the
+numerous crashes and maintain a correct player-agnostic library for DVD playback.
+
+This fork will try to maintain correct authorship tracking, by using git and a
+proper history.
 
 How can I use it?
 -----------------
diff --git a/TODO b/TODO
index 3fe2eed..55ffcfe 100644
--- a/TODO
+++ b/TODO
@@ -9,4 +9,3 @@
 * cleanup public API and fix libtool versioning
 * Update decoder.c with some of the more rare commands. Update already done to vmcmd.c
 * RELEASE! (maybe it's time for libdvdnav 0.5?)
-* Replace the auto* build system with a custom and clean one based on ffmpeg's (partly done)
diff --git a/autogen.sh b/autogen.sh
deleted file mode 100755
index 077b682..0000000
--- a/autogen.sh
+++ /dev/null
@@ -1,27 +0,0 @@
-#!/bin/sh
-#
-# run this to generate all the initial makefiles, etc.
-
-srcdir=`dirname "$0"`
-test -z "$srcdir" && srcdir=.
-
-ORIGDIR=`pwd`
-cd "$srcdir"
-
-AUTORECONF=${AUTORECONF-autoreconf}
-
-if ! type $AUTORECONF >/dev/null 2>&1; then
-  echo "**Error**: Missing \`autoreconf' program." >&2
-  echo "You will need the autoconf and automake packages." >&2
-  echo "You can download them from ftp://ftp.gnu.org/pub/gnu/." >&2
-  exit 1
-fi
-
-$AUTORECONF -v --install || exit $?
-cd "$ORIGDIR" || exit $?
-
-test "$1" = noconfig && NOCONFIGURE=1
-
-if test -z "$NOCONFIGURE"; then
-  "$srcdir"/configure "$@"
-fi
diff --git a/configure2 b/configure2
deleted file mode 100755
index 0f2d476..0000000
--- a/configure2
+++ /dev/null
@@ -1,182 +0,0 @@
-#!/bin/sh
-
-dvdnav_sh_version=4.2.1
-dvdnav_sh_major=`echo $dvdnav_sh_version | awk -F. '{print $1}'`
-
-cc=gcc
-make=make
-: ${PKG_CONFIG:=pkg-config}
-
-# find source path
-source_path="`dirname \"$0\"`"
-source_path_used="yes"
-if test -z "$source_path" -o "$source_path" = "." ; then
-    source_path="`pwd`"
-    source_path_used="no"
-else
-    source_path="`cd \"$source_path\" && pwd`"
-    echo "$source_path" | grep -q '[[:blank:]]' &&
-      die "Out of tree builds are impossible with whitespace in source path."
-fi
-
-show_help(){
-  echo "Usage: configure [options]"
-  echo "Options: [defaults in brackets after descriptions]"
-  echo
-  echo "Standard options:"
-  echo "  --help                   print this message"
-  echo "  --prefix=PREFIX          install in PREFIX [$PREFIX]"
-  echo "  --libdir=DIR             install libs in DIR [PREFIX/lib]"
-  echo "  --shlibdir=DIR           install shared libs in DIR [PREFIX/lib]"
-  echo "  --incdir=DIR             install includes in DIR [PREFIX/include/dvdnav]"
-  echo "  --enable-static          build static libraries [default=yes]"
-  echo "  --disable-static         do not build static libraries [default=no]"
-  echo "  --enable-shared          build shared libraries [default=no]"
-  echo "  --disable-shared         do not build shared libraries [default=yes]"
-  echo "  --enable-debug           compile with debug symbols [default=yes]"
-  echo "  --disable-debug          compile without debug symbols [default=no]"
-  echo "  --with-dvdread=PATH      compile libdvdnav with an external libdvdread"
-  echo "Advanced options (experts only):"
-  echo "  --cc=CC                  use C compiler CC [$cc]"
-  echo "  --make=MAKE              use specified make [$make]"
-  echo "  --extra-cflags=ECFLAGS   add ECFLAGS to CFLAGS"
-  echo "  --extra-ldflags=ELDFLAGS add ELDFLAGS to LDFLAGS"
-  echo "Developer options:"
-  echo "  --disable-strip          disable stripping of executables and shared libraries"
-  echo "  --disable-opts           disable compiler optimizations"
-  echo "Environment variables:"
-  echo "  PKG_CONFIG               use specified pkg-config [$PKG_CONFIG]"
-  exit 1
-}
-
-SHARED=yes
-STATIC=yes
-DVDREAD_CONFIG=""
-DVDREAD_PKG_CONFIG="${PKG_CONFIG} dvdread"
-PREFIX=/usr/local/
-INSTALLSTRIP=-s
-USEDEBUG=-g
-optimizations="-O3"
-threadlib="-lpthread"
-
-for opt do
-  optval=`echo $opt | cut -d '=' -f 2-`
-  case "$opt" in
-  --enable-shared) SHARED=yes
-  ;;
-  --disable-shared) SHARED=no
-  ;;
-  --enable-static) STATIC=yes
-  ;;
-  --disable-static) STATIC=no
-  ;;
-  --with-dvdread-config=*) DVDREAD_CONFIG="$optval"
-  ;;
-  --prefix=*) PREFIX="$optval"
-  ;;
-  --libdir=*) libdir="$optval"
-  ;;
-  --shlibdir=*) shlibdir="$optval"
-  ;;
-  --incdir=*) incdir="$optval"
-  ;;
-  --cc=*) cc="$optval"
-  ;;
-  --make=*) make="$optval"
-  ;;
-  --extra-cflags=*) cflags="$cflags $optval"
-  ;;
-  --extra-ldflags=*) ldflags="$ldflags $optval"
-  ;;
-  --disable-strip) INSTALLSTRIP=
-  ;;
-  --disable-opts) optimizations=""
-  ;;
-  --disable-debug) USEDEBUG=""
-  ;;
-  --enable-debug) USEDEBUG="-g"
-  ;;
-  --help) show_help
-  ;;
-  esac
-done
-
-PREFIX=`cd $PREFIX && pwd`
-
-test -z "$libdir" && libdir=$PREFIX/lib
-test -z "$shlibdir" && shlibdir=$PREFIX/lib
-test -z "$incdir" && incdir=$PREFIX/include/dvdnav
-
-dvdread=no
-if test -z "$DVDREAD_CONFIG" ; then
-  DVDREAD_CONFIG=${DVDREAD_PKG_CONFIG}
-  $DVDREAD_CONFIG --exists >> /dev/null 2>&1 && dvdread=yes
-fi
-if test "$dvdread" != "yes" ; then
-  DVDREAD_CONFIG=dvdread-config
-  $DVDREAD_CONFIG --prefix >> /dev/null 2>&1 && dvdread=yes
-fi
-if test "$dvdread" != "yes" ; then
-  echo "$DVDREAD_CONFIG returned an error. Can't proceed"
-  exit 1
-fi
-dvdread_cflags=`$DVDREAD_CONFIG --cflags`
-dvdread_libs=`$DVDREAD_CONFIG --libs`
-
-targetos=`uname -s`
-case $targetos in
-  Darwin)
-    SHLDFLAGS="-dynamiclib -Wl,-single_module -Wl,-read_only_relocs,suppress"
-  ;;
-  *)
-    SHLDFLAGS="-shared"
-  ;;
-esac
-
-cat > config.mak << EOF
-# Automatically generated by configure, do not edit
-PREFIX=$PREFIX
-libdir=$libdir
-shlibdir=$shlibdir
-incdir=$incdir
-THREADLIB=$threadlib
-BUILD_SHARED=$SHARED
-BUILD_STATIC=$STATIC
-SHLIB_VERSION=$dvdnav_sh_version
-SHLIB_MAJOR=$dvdnav_sh_major
-CC=$cc
-MAKE=$make
-CFLAGS=$optimizations $cflags
-LDFLAGS=$ldflags
-SHLDFLAGS=$SHLDFLAGS
-INSTALLSTRIP=$INSTALLSTRIP
-USEDEBUG=$USEDEBUG
-DVDREAD_CFLAGS=$dvdread_cflags
-DVDREAD_LIBS=$dvdread_libs
-
-SRC_PATH="$source_path"
-SRC_PATH_BARE=$source_path
-
-EOF
-
-cat > config.h << EOF
-/* Automatically generated by configure, do not edit */
-#include "version.h"
-EOF
-
-# build tree in object directory if source path is different from current one
-if test "$source_path_used" != "no"; then
-    FILES="\
-          Makefile \
-          misc \
-          "
-    for f in $FILES ; do
-        ln -sf "$source_path/$f" $f
-    done
-fi
-
-[ -d obj ] || mkdir -p obj
-
-echo
-echo "Done, type 'make install' to build and install"
-
diff --git a/doc/Makefile.am b/doc/Makefile.am
deleted file mode 100644
index 205f055..0000000
--- a/doc/Makefile.am
+++ /dev/null
@@ -1,8 +0,0 @@
-include $(top_srcdir)/misc/Makefile.common
-
-EXTRA_DIST = doxy.conf mainpage.cpp tutorial.cpp dvd_structures library_layout
-
-docs: doxy.conf
-	@if test x"$(DOXYGEN)" != "xno"; then \
-	  $(DOXYGEN) doxy.conf > /dev/null 2> /dev/null; \
-	fi
diff --git a/examples/Makefile.am b/examples/Makefile.am
deleted file mode 100644
index c4540f5..0000000
--- a/examples/Makefile.am
+++ /dev/null
@@ -1,13 +0,0 @@
-include $(top_srcdir)/misc/Makefile.common
-
-AM_CPPFLAGS = -DDVDNAV_COMPILE $(DVDREAD_CFLAGS) -I$(top_srcdir)/src
-
-DVDNAV_LIB = $(top_builddir)/src/libdvdnav.la
-
-noinst_PROGRAMS = menus
-
-menus_SOURCES = menus.c
-menus_LDADD   = $(DVDNAV_LIB) $(DVDREAD_LIBS)
-
-$(DVDNAV_LIB):
-	@cd $(top_builddir)/src/ && $(MAKE) libdvdnav.la
diff --git a/m4/Makefile.am b/m4/Makefile.am
deleted file mode 100644
index 7f444b1..0000000
--- a/m4/Makefile.am
+++ /dev/null
@@ -1,7 +0,0 @@
-include $(top_srcdir)/misc/Makefile.common
-
-EXTRA_DIST = dvdnav.m4
-
-m4datadir = $(datadir)/aclocal
-
-m4data_DATA = dvdnav.m4
diff --git a/m4/dvdnav.m4 b/m4/dvdnav.m4
deleted file mode 100644
index 44d8991..0000000
--- a/m4/dvdnav.m4
+++ /dev/null
@@ -1,181 +0,0 @@
-dnl Configure paths for DVDNAV
-dnl
-dnl Copyright (C) 2001 Daniel Caujolle-Bert <segfault at club-internet.fr>
-dnl
-dnl This program is free software; you can redistribute it and/or modify
-dnl it under the terms of the GNU General Public License as published by
-dnl the Free Software Foundation; either version 2 of the License, or
-dnl (at your option) any later version.
-dnl
-dnl This program is distributed in the hope that it will be useful,
-dnl but WITHOUT ANY WARRANTY; without even the implied warranty of
-dnl MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-dnl GNU General Public License for more details.
-dnl
-dnl You should have received a copy of the GNU General Public License
-dnl along with this program; if not, write to the Free Software
-dnl Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
-dnl
-dnl
-dnl As a special exception to the GNU General Public License, if you
-dnl distribute this file as part of a program that contains a configuration
-dnl script generated by Autoconf, you may include it under the same
-dnl distribution terms that you use for the rest of that program.
-dnl
-
-dnl AM_PATH_DVDNAV([MINIMUM-VERSION, [ACTION-IF-FOUND [, ACTION-IF-NOT-FOUND ]]])
-dnl Test for DVDNAV, and define DVDNAV_CFLAGS and DVDNAV_LIBS
-dnl
-AC_DEFUN([AM_PATH_DVDNAV],
-[dnl
-dnl Get the cflags and libraries from the dvdnav-config script
-dnl
-AC_ARG_WITH(dvdnav-prefix,
-    AC_HELP_STRING([--with-dvdnav-prefix=DIR], [prefix where DVDNAV is installed (optional)]),
-            dvdnav_config_prefix="$withval", dvdnav_config_prefix="")
-AC_ARG_WITH(dvdnav-exec-prefix,
-    AC_HELP_STRING([--with-dvdnav-exec-prefix=DIR], [exec prefix where DVDNAV is installed (optional)]),
-            dvdnav_config_exec_prefix="$withval", dvdnav_config_exec_prefix="")
-AC_ARG_ENABLE(dvdnavtest,
-    AC_HELP_STRING([--disable-dvdnavtest], [do not try to compile and run a test DVDNAV program]),
-            enable_dvdnavtest=$enableval, enable_dvdnavtest=yes)
-
-  if test x$dvdnav_config_exec_prefix != x ; then
-     dvdnav_config_args="$dvdnav_config_args --exec-prefix=$dvdnav_config_exec_prefix"
-     if test x${DVDNAV_CONFIG+set} != xset ; then
-        DVDNAV_CONFIG=$dvdnav_config_exec_prefix/bin/dvdnav-config
-     fi
-  fi
-  if test x$dvdnav_config_prefix != x ; then
-     dvdnav_config_args="$dvdnav_config_args --prefix=$dvdnav_config_prefix"
-     if test x${DVDNAV_CONFIG+set} != xset ; then
-        DVDNAV_CONFIG=$dvdnav_config_prefix/bin/dvdnav-config
-     fi
-  fi
-
-  min_dvdnav_version=ifelse([$1], ,0.0.0,$1)
-  if test "x$enable_dvdnavtest" != "xyes" ; then
-    AC_MSG_CHECKING([for DVDNAV-LIB version >= $min_dvdnav_version])
-  else
-    AC_PATH_PROG(DVDNAV_CONFIG, dvdnav-config, no)
-    AC_MSG_CHECKING([for DVDNAV-LIB version >= $min_dvdnav_version])
-    no_dvdnav=""
-    if test "$DVDNAV_CONFIG" = "no" ; then
-      no_dvdnav=yes
-    else
-      DVDNAV_CFLAGS=`$DVDNAV_CONFIG $dvdnav_config_args --cflags`
-      DVDNAV_LIBS=`$DVDNAV_CONFIG $dvdnav_config_args --libs`
-      dvdnav_config_major_version=`$DVDNAV_CONFIG $dvdnav_config_args --version | \
-             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\1/'`
-      dvdnav_config_minor_version=`$DVDNAV_CONFIG $dvdnav_config_args --version | \
-             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\2/'`
-      dvdnav_config_sub_version=`$DVDNAV_CONFIG $dvdnav_config_args --version | \
-             sed 's/\([[0-9]]*\).\([[0-9]]*\).\([[0-9]]*\)/\3/'`
-      dnl    if test "x$enable_dvdnavtest" = "xyes" ; then
-      ac_save_CFLAGS="$CFLAGS"
-      ac_save_LIBS="$LIBS"
-      CFLAGS="$CFLAGS $DVDNAV_CFLAGS"
-      LIBS="$DVDNAV_LIBS $LIBS"
-dnl
-dnl Now check if the installed DVDNAV is sufficiently new. (Also sanity
-dnl checks the results of dvdnav-config to some extent
-dnl
-      AC_LANG_SAVE()
-      AC_LANG_C()
-      rm -f conf.dvdnavtest
-      AC_TRY_RUN([
-#include <dvdnav.h>
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-
-int
-main ()
-{
-  int major, minor, sub;
-   char *tmp_version;
-
-  system ("touch conf.dvdnavtest");
-
-  /* HP/UX 9 (%@#!) writes to sscanf strings */
-  tmp_version = (char *) strdup("$min_dvdnav_version");
-  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &sub) != 3) {
-     printf("%s, bad version string\n", "$min_dvdnav_version");
-     exit(1);
-   }
-
-  if (($dvdnav_config_major_version > major) ||
-     (($dvdnav_config_major_version == major) && ($dvdnav_config_minor_version > minor)) ||
-     (($dvdnav_config_major_version == major) && ($dvdnav_config_minor_version == minor) && ($dvdnav_config_sub_version >= sub))) {
-    return 0;
-  } else {
-    printf("\n*** An old version of libdvdnav (%d.%d.%d) was found.\n",
-      $dvdnav_config_major_version, $dvdnav_config_minor_version, $dvdnav_config_sub_version);
-    printf("*** You need a version of libdvdnav newer than %d.%d.%d. The latest version of\n",
-      major, minor, sub);
-    printf("*** libdvdnav is always available from:\n");
-    printf("***        http://dvd.sourceforge.net\n");
-    printf("***\n");
-    printf("*** If you have already installed a sufficiently new version, this error\n");
-    printf("*** probably means that the wrong copy of the dvdnav-config shell script is\n");
-    printf("*** being found. The easiest way to fix this is to remove the old version\n");
-    printf("*** of libdvdnav, but you can also set the DVDNAV_CONFIG environment to point to the\n");
-    printf("*** correct copy of dvdnav-config. (In this case, you will have to\n");
-    printf("*** modify your LD_LIBRARY_PATH enviroment variable, or edit /etc/ld.so.conf\n");
-    printf("*** so that the correct libraries are found at run-time))\n");
-  }
-  return 1;
-}
-],, no_dvdnav=yes,[echo $ac_n "cross compiling; assumed OK... $ac_c"])
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
-     fi
-    fi
-    if test "x$no_dvdnav" = x ; then
-       AC_MSG_RESULT(yes)
-       ifelse([$2], , :, [$2])
-    else
-      AC_MSG_RESULT(no)
-      if test "$DVDNAV_CONFIG" = "no" ; then
-        echo "*** The dvdnav-config script installed by DVDNAV could not be found"
-        echo "*** If DVDNAV was installed in PREFIX, make sure PREFIX/bin is in"
-        echo "*** your path, or set the DVDNAV_CONFIG environment variable to the"
-        echo "*** full path to dvdnav-config."
-      else
-        if test -f conf.dvdnavtest ; then
-          :
-        else
-          echo "*** Could not run DVDNAV test program, checking why..."
-          CFLAGS="$CFLAGS $DVDNAV_CFLAGS"
-          LIBS="$LIBS $DVDNAV_LIBS"
-          AC_TRY_LINK([
-#include <dvdnav.h>
-#include <stdio.h>
-],      [ return 0; ],
-        [ echo "*** The test program compiled, but did not run. This usually means"
-          echo "*** that the run-time linker is not finding DVDNAV or finding the wrong"
-          echo "*** version of DVDNAV. If it is not finding DVDNAV, you'll need to set your"
-          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
-          echo "*** is required on your system"
-	  echo "***"
-          echo "*** If you have an old version installed, it is best to remove it, although"
-          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
-          echo "***"],
-        [ echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means DVDNAV was incorrectly installed"
-          echo "*** or that you have moved DVDNAV since it was installed. In the latter case, you"
-          echo "*** may want to edit the dvdnav-config script: $DVDNAV_CONFIG" ])
-          CFLAGS="$ac_save_CFLAGS"
-          LIBS="$ac_save_LIBS"
-        fi
-      fi
-    DVDNAV_CFLAGS=""
-    DVDNAV_LIBS=""
-    ifelse([$3], , :, [$3])
-  fi
-  AC_SUBST(DVDNAV_CFLAGS)
-  AC_SUBST(DVDNAV_LIBS)
-  AC_LANG_RESTORE()
-  rm -f conf.dvdnavtest
-])
diff --git a/misc/Makefile.am b/misc/Makefile.am
deleted file mode 100644
index 8672630..0000000
--- a/misc/Makefile.am
+++ /dev/null
@@ -1,8 +0,0 @@
-include $(top_srcdir)/misc/Makefile.common
-
-EXTRA_DIST = dvdnav-config.in libdvdnav.spec.in libdvdnav.spec Makefile.common relchk.sh relchk.sh.in
-
-bin_SCRIPTS = dvdnav-config
-
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = dvdnav.pc dvdnavmini.pc
diff --git a/misc/dvdnav-config.in b/misc/dvdnav-config.in
deleted file mode 100644
index 194f4a1..0000000
--- a/misc/dvdnav-config.in
+++ /dev/null
@@ -1,88 +0,0 @@
-#!/bin/sh
-#
-#
-
-prefix=@prefix@
-exec_prefix=@exec_prefix@
-exec_prefix_set=no
-
-usage()
-{
-	cat <<EOF
-Usage: dvdnav-config [OPTIONS] [LIBRARIES]
-Options:
-	[--prefix[=DIR]]
-	[--exec-prefix[=DIR]]
-	[--version]
-        [--libs]
-        [--minilibs]
-	[--cflags]
-EOF
-	exit $1
-}
-
-if test $# -eq 0; then
-	usage 1 1>&2
-fi
-
-while test $# -gt 0; do
-  case "$1" in
-  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
-  *) optarg= ;;
-  esac
-
-  case $1 in
-    --prefix=*)
-      prefix=$optarg
-      if test $exec_prefix_set = no ; then
-        exec_prefix=$optarg
-      fi
-      ;;
-    --prefix)
-      echo_prefix=yes
-      ;;
-    --exec-prefix=*)
-      exec_prefix=$optarg
-      exec_prefix_set=yes
-      ;;
-    --exec-prefix)
-      echo_exec_prefix=yes
-      ;;
-    --version)
-      echo @DVDNAV_MAJOR at .@DVDNAV_MINOR at .@DVDNAV_SUB@
-      ;;
-    --cflags)
-      echo_cflags=yes
-      ;;
-    --libs)
-      echo_libs=yes
-      ;;
-    --minilibs)
-      echo_minilibs=yes
-      ;;
-    *)
-      usage 1 1>&2
-      ;;
-  esac
-  shift
-done
-
-if test "$echo_prefix" = "yes"; then
-	echo $prefix
-fi
-
-if test "$echo_exec_prefix" = "yes"; then
-	echo $exec_prefix
-fi
-
-if test "$echo_cflags" = "yes"; then
-      echo -I at includedir@ -I at includedir@/libdvdread @THREAD_CFLAGS@
-fi
-
-if test "$echo_libs" = "yes"; then
-      echo -L at libdir@ -ldvdnav -ldvdread @THREAD_LIBS@
-fi
-
-if test "$echo_minilibs" = "yes"; then
-      echo -L at libdir@ -ldvdnavmini @THREAD_LIBS@
-fi
diff --git a/misc/dvdnav-config2.sh b/misc/dvdnav-config2.sh
deleted file mode 100644
index 8dfcd32..0000000
--- a/misc/dvdnav-config2.sh
+++ /dev/null
@@ -1,72 +0,0 @@
-    extracflags="-DDVDNAV_USES_EXTERNAL_DVDREAD"
-
-usage()
-{
-	cat <<EOF
-Usage: dvdnav-config [OPTIONS] [LIBRARIES]
-Options:
-	[--prefix[=DIR]]
-	[--version]
-        [--libs]
-	[--cflags]
-	[--minilibs]
-	[--minicflags]
-EOF
-	exit $1
-}
-
-if test $# -eq 0; then
-	usage 1 1>&2
-fi
-
-while test $# -gt 0; do
-  case "$1" in
-  -*=*) optarg=`echo "$1" | sed 's/[-_a-zA-Z0-9]*=//'` ;;
-  *) optarg= ;;
-  esac
-
-  case $1 in
-    --prefix)
-      echo_prefix=yes
-      ;;
-    --version)
-      echo $version
-      ;;
-    --cflags)
-      echo_cflags=yes
-      ;;
-    --minicflags)
-          echo_minicflags=yes
-      ;;
-    --libs)
-      echo_libs=yes
-      ;;
-    --minilibs)
-          echo_minilibs=yes
-      ;;
-    *)
-      usage 1 1>&2
-      ;;
-  esac
-  shift
-done
-
-if test "$echo_prefix" = "yes"; then
-	echo $prefix
-fi
-
-if test "$echo_cflags" = "yes"; then
-      echo -I$prefix/include $dvdread_cflags $extracflags $threadcflags
-fi
-
-if test "$echo_minicflags" = "yes"; then
-      echo -I$prefix/include -I$prefix/include/dvdnav $extracflags $threadcflags
-fi
-
-if test "$echo_libs" = "yes"; then
-      echo -L$libdir -ldvdnav $dvdread_libs $threadlib
-fi
-
-if test "$echo_minilibs" = "yes"; then
-      echo -L$libdir -ldvdnavmini $threadlib
-fi
diff --git a/misc/relchk.sh.in b/misc/relchk.sh.in
deleted file mode 100755
index 98a31fc..0000000
--- a/misc/relchk.sh.in
+++ /dev/null
@@ -1,66 +0,0 @@
-#!/bin/sh
-##
-## A simple compare directory content utility.
-##
-
-topdir="`pwd`"
-distdir="@PACKAGE_NAME at -@PACKAGE_VERSION@"
-log="$topdir/dist-log"
-logerror="$topdir/dist-errors"
-
-getdir() {
-  if test -r .relignore; then
-    filelist=`ls | grep -Fxvf .relignore`
-  else
-    filelist=`ls`
-  fi
-
-  for file in $filelist; do
-
-    if test -d $file -a $file != "CVS" -a $file != $distdir; then
-      (cd $file && getdir) || (cd ..)
-    else
-      if test ! -d $file -a \
-              $file != $log -a \
-              $file != $logerror -a \
-              $file != "$distdir.tar.gz"; then
-
-        orifile=`pwd`/$file
-
-        distfile=$topdir/$distdir${orifile##*$topdir}
-
-        echo -e "check:\t$orifile\nand\t$distfile" >> $log
-
-        if test ! -e $distfile; then
-          missingfile=${orifile##$topdir}
-	  echo "${missingfile#/} is missing in tarball" >> $logerror
-        fi
-
-      fi
-    fi
-
-  done
-}
-
-main() {
-  rm -f $log $logerror
-
-  make config.status && make dist && mv $distdir.tar.gz $distdir.tmp.tar.gz && \
-  cp config.status config.tmp.status && make clean && make distclean && \
-  mv $distdir.tmp.tar.gz $distdir.tar.gz && mv config.tmp.status config.status && \
-  tar -xzf $distdir.tar.gz
-
-  echo "Check is running, be patient..."
-  getdir
-
-  rm -rf $distdir
-  rm -f $distdir.tar.gz
-  ./config.status --recheck
-  ./config.status
-
-  echo " * Log is ${log##*/}"
-  echo " * Error log is ${logerror##*/}"
-
-}
-
-main
diff --git a/src/Makefile.am b/src/Makefile.am
deleted file mode 100644
index c7502a3..0000000
--- a/src/Makefile.am
+++ /dev/null
@@ -1,34 +0,0 @@
-include $(top_srcdir)/misc/Makefile.common
-
-SUBDIRS = vm
-
-includedir = ${prefix}/include/dvdnav
-
-AM_CPPFLAGS = $(THREAD_CFLAGS) $(DVDREAD_CFLAGS) \
-	-I$(top_srcdir)/src/vm
-
-EXTRA_DIST = README.MAP FELLOWSHIP.map
-
-lib_LTLIBRARIES = libdvdnav.la libdvdnavmini.la
-
-libdvdnav_la_SOURCES = dvdnav.c \
-	read_cache.c navigation.c highlight.c \
-	searching.c settings.c remap.c \
-	dvdnav_internal.h read_cache.h remap.h
-
-libdvdnav_la_LIBADD = $(THREAD_LIBS) $(DVDREAD_LIBS) \
-	$(top_builddir)/src/vm/libdvdvm.la
-
-libdvdnav_la_LDFLAGS = \
-	-version-info $(DVDNAV_LT_CURRENT):$(DVDNAV_LT_REVISION):$(DVDNAV_LT_AGE) \
-	-export-symbols-regex "(^dvdnav.*|^nav.*|^ifo.*|^DVD.*)"
-#	-release $(DVDNAV_MAJOR).$(DVDNAV_MINOR).$(DVDNAV_SUB)
-
-libdvdnavmini_la_SOURCES = $(libdvdnav_la_SOURCES)
-
-libdvdnavmini_la_LIBADD = $(THREAD_LIBS) \
-	$(top_builddir)/src/vm/libdvdvm.la
-
-libdvdnavmini_la_LDFLAGS = $(libdvdnav_la_LDFLAGS)
-
-include_HEADERS = dvdnav/dvdnav.h dvdnav/dvdnav_events.h dvdnav/dvd_types.h
diff --git a/src/vm/Makefile.am b/src/vm/Makefile.am
deleted file mode 100644
index 1731ed5..0000000
--- a/src/vm/Makefile.am
+++ /dev/null
@@ -1,16 +0,0 @@
-include $(top_srcdir)/misc/Makefile.common
-
-includedir = ${prefix}/include/dvdnav
-
-AM_CPPFLAGS = -DDVDNAV_COMPILE $(THREAD_CFLAGS) $(DVDREAD_CFLAGS) \
-	-I$(top_srcdir)/src
-
-noinst_LTLIBRARIES = libdvdvm.la
-
-libdvdvm_la_SOURCES = decoder.c vm.c vmcmd.c
-
-libdvdvm_la_LDFLAGS = $(THREAD_LIBS)
-
-include_HEADERS =
-
-noinst_HEADERS = decoder.h vm.h vmcmd.h
diff --git a/version.sh b/version.sh
deleted file mode 100755
index b774a8d..0000000
--- a/version.sh
+++ /dev/null
@@ -1,18 +0,0 @@
-#!/bin/sh
-
-svn_revision=`cd "$1" && LC_ALL=C svn info 2> /dev/null | grep Revision | cut -d' ' -f2`
-test $svn_revision || svn_revision=`cd "$1" && grep revision .svn/entries 2>/dev/null | \
-                                    cut -d '"' -f2 2> /dev/null`
-test $svn_revision || svn_revision=UNKNOWN
-
-if test "$svn_revision" = UNKNOWN && test -n "$2"; then
-    NEW_REVISION="#define VERSION \"$2\""
-else
-    NEW_REVISION="#define VERSION \"SVN-r$svn_revision\""
-fi
-OLD_REVISION=`cat version.h 2> /dev/null`
-
-# Update version.h only on revision changes to avoid spurious rebuilds
-if test "$NEW_REVISION" != "$OLD_REVISION"; then
-    echo "$NEW_REVISION" > version.h
-fi

-- 
libdvdnav packaging



More information about the pkg-multimedia-commits mailing list